## x86 x86 — x86 helper library |

## Functions

unsigned | igt_x86_features ()
char * | igt_x86_features_to_string ()

## Types and Values

#define | MMX
#define | SSE
#define | SSE2
#define | SSE3
#define | SSSE3
#define | SSE4_1
#define | SSE4_2
#define | AVX
#define | AVX2

## Includes

    #include <igt_x86.h>

## Description

## Functions

### igt_x86_features ()

    unsigned
    igt_x86_features (void);

### igt_x86_features_to_string ()

    char *
    igt_x86_features_to_string (unsigned  features,
                                char *line);

## Types and Values

### MMX

    #define MMX 0x1

### SSE

    #define SSE 0x2

### SSE2

    #define SSE2 0x4

### SSE3

    #define SSE3 0x8

### SSSE3

    #define SSSE3 0x10

### SSE4_1

    #define SSE4_1 0x20

### SSE4_2

    #define SSE4_2 0x40

### AVX

    #define AVX 0x80

### AVX2

    #define AVX2 0x100